gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-sandcastle-ng] branch master updated: ci: update tags for head by


From: gnunet
Subject: [taler-sandcastle-ng] branch master updated: ci: update tags for head by fetching commit shas
Date: Sat, 17 Feb 2024 18:04:39 +0100

This is an automated email from the git hooks/post-receive script.

devan-carpenter pushed a commit to branch master
in repository sandcastle-ng.

The following commit(s) were added to refs/heads/master by this push:
     new e6c74d4  ci: update tags for head by fetching commit shas
e6c74d4 is described below

commit e6c74d4af2edfca70bb0945695a66ecebf9cdb47
Author: Devan Carpenter <devan@taler.net>
AuthorDate: Sat Feb 17 12:03:10 2024 -0500

    ci: update tags for head by fetching commit shas
    
    This makes podman caching work correctly. If the sha hash hasn't changed
    then cache will be used, and if it has changed, then that component will
    be built.
---
 contrib/ci/jobs/1-build-head/build.sh       |  4 +---
 contrib/ci/jobs/1-build-head/update-tags.sh | 22 ++++++++++++++++++++++
 2 files changed, 23 insertions(+), 3 deletions(-)

diff --git a/contrib/ci/jobs/1-build-head/build.sh 
b/contrib/ci/jobs/1-build-head/build.sh
index 3f677bc..a4bde7b 100755
--- a/contrib/ci/jobs/1-build-head/build.sh
+++ b/contrib/ci/jobs/1-build-head/build.sh
@@ -1,9 +1,7 @@
 #!/bin/bash
 set -exuo pipefail
 
-for i in buildconfig/*.tag ; do
-       echo "master" > "$i"
-done
+./contrib/ci/jobs/1-build-head/update-tags.sh
 
 ./sandcastle-build
 
diff --git a/contrib/ci/jobs/1-build-head/update-tags.sh 
b/contrib/ci/jobs/1-build-head/update-tags.sh
new file mode 100755
index 0000000..2c7719c
--- /dev/null
+++ b/contrib/ci/jobs/1-build-head/update-tags.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+set -ex
+
+fetch_head() {
+       git ls-remote -q -h "${1}" master | cut -f1
+}
+
+GNUNET_HEAD=$(fetch_head "git://git.gnunet.org/gnunet")
+EXCHANGE_HEAD=$(fetch_head "git://git.taler.net/exchange")
+MERCHANT_HEAD=$(fetch_head "git://git.taler.net/merchant")
+LIBEUFIN_HEAD=$(fetch_head "git://git.taler.net/libeufin")
+MERCHANT_DEMOS_HEAD=$(fetch_head "git://git.taler.net/taler-merchant-demos")
+WALLET_HEAD=$(fetch_head "git://git.taler.net/wallet-core")
+SYNC_HEAD=$(fetch_head "git://git.taler.net/sync")
+
+echo $GNUNET_HEAD > buildconfig/gnunet.tag
+echo $EXCHANGE_HEAD > buildconfig/exchange.tag
+echo $MERCHANT_HEAD > buildconfig/merchant.tag
+echo $LIBEUFIN_HEAD > buildconfig/libeufin.tag
+echo $MERCHANT_DEMOS_HEAD > buildconfig/merchant-demos.tag
+echo $WALLET_HEAD > buildconfig/wallet.tag
+echo $SYNC_HEAD > buildconfig/sync.tag

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]